Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0007697opensim[REGION] OpenSim Corepublic2015-08-21 13:162017-05-27 14:43
Reporteraiaustin 
Assigned ToUbitUmarov 
PrioritynormalSeverityminorReproducibilityN/A
StatusresolvedResolutionfixed 
PlatformPCOSWindowsOS Version10
Product Versionmaster (dev code) 
Target Versionmaster (dev code)Fixed in Version 
Summary0007697: OpenSim.ini.example [Network] ExternalHostNameForLSL default not very helpful. $BaseURL minus leading http:// might be better
DescriptionOpenSim.ini.example has [Network] ExternalHostNameForLSL by default set to a local machine name... not a sensible IP/DNS name example. The default is not even the local IP network number that is shown as an example 127.0.0.1.

ExternalHostNameForLSL could possibly more usefully use the [Const] $BaseURL parameter value. But unfortunately that starts with http:// and ExternalHostNameForLSL appears to need just the IP number or name. The default could be $BaseURL if a change was made to the way ExternalHostNameForLSL was read - stripping off the http:// if necessary perhaps?
Additional InformationCurrent comments in OpenSim.ini.example reflect the default set...

   ;# {ExternalHostNameForLSL} {} {Hostname to use for HTTP-IN URLs. This should be reachable from the internet.} {}
    ;; Hostname to use in llRequestURL/llRequestSecureURL
    ;; if not defined - default machine name is being used
    ;; (on Windows this mean NETBIOS name - useably only inside local network)
    ; ExternalHostNameForLSL = "127.0.0.1"

I found this parameter was the only one that seemed to need to be amended to a sensible value when setting up a fresh standalone and using the default OpenSim.ini.example file. Only the [Const] values and the selected [Architecture] would then need to be changed.

I missed mention of the need for the [Const] changes in my commit in mantis 7696, though its pretty obvious. I will batch that up with some typo changes I have spotted in OpenSim.ini.example.
TagsNo tags attached.
Git Revision or version number
Run ModeStandalone (1 Region)
Physics EngineBulletSim
Environment.NET / Windows64
Mono VersionNone
ViewerN/A
Attached Files

- Relationships

-  Notes
(0031815)
UbitUmarov (administrator)
2017-05-02 05:28

changed that on master

- Issue History
Date Modified Username Field Change
2015-08-21 13:16 aiaustin New Issue
2015-08-21 13:17 aiaustin Summary OpenSim.ini.example [Network] ExternalHostNameForLSL default not very helpful. $BaseURL minus leading => OpenSim.ini.example [Network] ExternalHostNameForLSL default not very helpful. $BaseURL minus leading http:// might be better
2015-08-21 13:17 aiaustin Description Updated View Revisions
2015-08-21 13:19 aiaustin Description Updated View Revisions
2017-05-02 05:28 UbitUmarov Note Added: 0031815
2017-05-27 14:43 UbitUmarov Status new => resolved
2017-05-27 14:43 UbitUmarov Resolution open => fixed
2017-05-27 14:43 UbitUmarov Assigned To => UbitUmarov


Copyright © 2000 - 2012 MantisBT Group
Powered by Mantis Bugtracker